Ricoh R5C822 SDHC Card reader I/O errors

Bug #247819 reported by Cpp on 2008-07-12
98
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

(replies indicate that this problem wasn't specific to SDHC, more like specific to this Ricoh reader. updating description and tags... Also, 2.6.27-10 maybe have solved it.)

Greetings.

I've recently bought a 4GB SDHC memory card from Adata (class 6) to try it out on my Acer Aspire 5920G laptop, running Ubuntu Hardy and Windows XP. It has one of those 5-in-1 card readers (SD™, MMC, MS, MS PRO, xD) that you get to see in a number of Acer laptops today. Unfortunately I wasn't able to make use of the card because a the system threw a briefcase full of errors back at me. I found out that just by inserting the card into the card slot already generates a bunch of errors as seen by dmesg:

[ 495.406662] mmc0: new high speed SDHC card at address 0002
[ 495.437069] mmcblk0: mmc0:0002 SD 3948544KiB
[ 495.437129] mmcblk0: p1
[ 495.486638] mmcblk0: error -110 transferring data
[ 495.486653] end_request: I/O error, dev mmcblk0, sector 32
[ 495.486661] Buffer I/O error on device mmcblk0, logical block 4
[ 495.486672] end_request: I/O error, dev mmcblk0, sector 40
[ 495.486677] Buffer I/O error on device mmcblk0, logical block 5
[ 495.486685] end_request: I/O error, dev mmcblk0, sector 48
[ 495.486690] Buffer I/O error on device mmcblk0, logical block 6
[ 495.486697] end_request: I/O error, dev mmcblk0, sector 56
[ 495.486702] Buffer I/O error on device mmcblk0, logical block 7
[ 495.486709] end_request: I/O error, dev mmcblk0, sector 64
[ 495.486714] Buffer I/O error on device mmcblk0, logical block 8
[ 495.486721] end_request: I/O error, dev mmcblk0, sector 72
[ 495.486726] Buffer I/O error on device mmcblk0, logical block 9
[ 495.486734] end_request: I/O error, dev mmcblk0, sector 80
[ 495.486739] Buffer I/O error on device mmcblk0, logical block 10
[ 495.486746] end_request: I/O error, dev mmcblk0, sector 88
[ 495.486751] Buffer I/O error on device mmcblk0, logical block 11
[ 495.500565] mmcblk0: error -110 transferring data
[ 495.500577] end_request: I/O error, dev mmcblk0, sector 7897024
[ 495.500585] Buffer I/O error on device mmcblk0, logical block 987128
[ 495.520101] mmcblk0: error -110 transferring data
[ 495.520115] end_request: I/O error, dev mmcblk0, sector 7897024
[ 495.520123] Buffer I/O error on device mmcblk0, logical block 987128
[ 495.534780] mmcblk0: error -110 transferring data
[ 495.534794] end_request: I/O error, dev mmcblk0, sector 32
[ 495.550827] mmcblk0: error -110 transferring data
[ 495.550840] end_request: I/O error, dev mmcblk0, sector 96
etc...

Actually the first time I noticed the problem was when I attempted to copy roughly 800 MB of files over to the card in nautilus. This was the first time I ever used a SDHC card or the card reader. The progress came to about 200 MB and then stopped with an error: Error writing to file: Input/output error
Looking at syslog/dmesg, I could see hundreds more of those i/o errors, including a few of these entries:

...
[ 670.808329] end_request: I/O error, dev mmcblk0, sector 350
[ 670.810394] mmc0: Got data interrupt 0x00600000 even though no data operation
 was in progress.
[ 670.810400] sdhci: ============== REGISTER DUMP ==============
[ 670.810407] sdhci: Sys addr: 0x32491200 | Version: 0x00000400
[ 670.810412] mmcblk0: error -110 sending read/write command
[ 670.810417] end_request: I/O error, dev mmcblk0, sector 351
[ 670.810429] sdhci: Blk size: 0x00007200 | Blk cnt: 0x00000001
[ 670.810438] sdhci: Argument: 0x0000015f | Trn mode: 0x00000013
[ 670.810447] sdhci: Present: 0x01ef0000 | Host ctl: 0x00000006
[ 670.810453] sdhci: Power: 0x0000000f | Blk gap: 0x00000000
[ 670.810462] sdhci: Wake-up: 0x00000000 | Clock: 0x00000007
[ 670.810468] sdhci: Timeout: 0x00000009 | Int stat: 0x00000000
[ 670.810477] sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
[ 670.810483] sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
[ 670.810491] sdhci: Caps: 0x01f021a1 | Max curr: 0x00000040
[ 670.810495] sdhci: ===========================================
[ 670.810505] FAT: FAT read failed (blocknr 288)
[ 670.812519] mmcblk0: error -110 sending read/write command
[ 670.814585] end_request: I/O error, dev mmcblk0, sector 1021687
...

At first I believed it was a faulty SDHC card, but a colleague of mine tested the card on his Vista laptop without any problems. I've tried formatting the card several times in GParted with a number of file systems including fat-16, fat-32 and ext3 of which all failed to work properly. Ironically, sometimes even GParted failed to recognize its newely created ext3 partition and instead listed it as unknown. Doing fsck on the card is another book with 5000 pages.

Of course I tried to use the card on my other operating system, Windows XP, which surprisingly didn't even recogize the card. This gave me a reason to believe that my card reader was faulty. I later ruled that option out after installing a patch from microsoft (WindowsXP-KB934428-v3-x86-ENU.exe), allowing Windows XP to recognize 4GB SDHC cards and above. Now my card reader was able to work on WinXP (same card reader) without any problems. So I do believe I have traced the problem back to Ubuntu linux.

Since the problem happens in Hardy with the latest updates applied, I am therefore reporting this as a bug. I am not sure how to fix this myself, but please let me know when a fix is available.
Thanks.

lspci | grep Ricoh
0a:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
0a:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
0a:09.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
0a:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
0a:09.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)

lsb_release -rd
Description: Ubuntu 8.04.1
Release: 8.04

uname -r
2.6.24-19-generic

nclm (nclm) wrote :

Same issue on an Thinkpad T61

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage. I have classified this bug as a bug in linux.

Rocko (rockorequin) wrote :

I get the same on a Dell XPS M1530 (see bug #239649) with both a 2GB and a 256GB card in the internal reader. I have tried the cards in an external reader and they are fine. I even eventually tried the internal reader in Vista and it didn't have problems.

Sometimes the copy works fine, but usually these errors (end_request: I/O error) occur. It seems to be random, although it seems to work better after rebooting Ubuntu or after formatting the card. Once they occur, they keep occurring until I remount the card.

Worse still, the file system does not report that there are errors. It says they worked fine, but a diff shows otherwise (I opened bug 239647 for this).

kernel 2.6.24-20-generic (amd64)

lspci:

03:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
03:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
03:09.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
03:09.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)

Rocko (rockorequin) wrote :

The 256GB card is in fact a 256MB card. :)

Rocko (rockorequin) wrote :

Is anyone else running vmware? I have noticed that when a VM is running, I frequently get these write errors, but when there is no VM it is much less likely.

Rocko (rockorequin) wrote :

See attached logfile - the error occurred again today, only this time the mmcblk driver appears to have corrupted itself.

The corrupted log occurred after I manually removed the card. (Normally when these errors occur, it takes a very long time for the mmcblk driver to stop trying to write, even after you cancel the operation, and it's a real pain waiting for it to complete so you can try again, so I normally remove and re-insert the card.)

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

I also have a 5920g-notebook running ubuntu hardy with this card reader inside. SD cards are working perfectly, but MMC cards arent detected. There is no card-reader-device in /dev when I insert MMC-Cards and there is nothing in dmesg.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
n3ko (n3ko74) wrote :

Same error with one 4GB sdhc card.
With other 4GB sdhc and 2GB sd card it works nice.

Output of lspci:
04:04.0 CardBus bridge: O2 Micro, Inc. OZ711MP1/MS1 MemoryCardBus Controller (rev 21)

and dmesg:
[ 1240.344360] mmc0: new SDHC card at address 0002
[ 1240.934122] mmcblk0: mmc0:0002 SD4GB 3951616KiB
[ 1240.934180] mmcblk0:<3>mmcblk0: error -84 transferring data
[ 1240.934921] end_request: I/O error, dev mmcblk0, sector 0
[ 1240.934927] Buffer I/O error on device mmcblk0, logical block 0
[ 1240.935996] mmcblk0: error -84 transferring data
[ 1240.936003] end_request: I/O error, dev mmcblk0, sector 0
...
[ 1240.948884] unable to read partition table
[ 465.618038] mmcblk0: error -84 transferring data
[ 465.618045] end_request: I/O error, dev mmcblk0, sector 0
[ 465.618050] end_request: I/O error, dev mmcblk0, sector 8
[ 465.618052] end_request: I/O error, dev mmcblk0, sector 16
[ 465.618054] end_request: I/O error, dev mmcblk0, sector 24
[ 465.618948] mmcblk0: error -84 transferring data

tested kernel versions:
linux-image-2.6.24-19-generic
linux-image-2.6.27-3-generic

Tom (beardtm) wrote :

I can confirm that this problem *is* still present in Intrepid Alpha 5. lspci gives me (only relevant shown):
09:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
09:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
09:01.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
09:01.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)

When I plug in my ext3-formatted 8GB SDHC card, I get the following in dmesg:
[ 592.358413] mmc0: new SDHC card at address 0002
[ 592.401950] mmcblk0: mmc0:0002 SD8GB 7929856KiB
[ 592.402011] mmcblk0: p1
[ 592.826758] mmcblk0: error -110 transferring data
[ 592.826771] end_request: I/O error, dev mmcblk0, sector 15859648
[ 592.826779] Buffer I/O error on device mmcblk0, logical block 1982456
[ 593.083043] mmcblk0: error -110 transferring data
[ 593.083051] end_request: I/O error, dev mmcblk0, sector 15859648
[ 593.083057] Buffer I/O error on device mmcblk0, logical block 1982456
[ 593.467808] mmcblk0: error -110 transferring data
[ 593.467821] end_request: I/O error, dev mmcblk0, sector 15859648
[ 593.467828] Buffer I/O error on device mmcblk0, logical block 1982456
[ 593.724079] mmcblk0: error -110 transferring data
[ 593.724092] end_request: I/O error, dev mmcblk0, sector 15859648
[ 593.724100] Buffer I/O error on device mmcblk0, logical block 1982456
[ 593.994347] kjournald starting. Commit interval 5 seconds
[ 594.008261] EXT3 FS on mmcblk0p1, internal journal
[ 594.008269] EXT3-fs: mounted filesystem with ordered data mode.

I am using Linux 2.6.24-19-generic in Ubuntu 8.04.
Still present in Intrepid Alpha 5.

Cpp (xcpp) wrote :

I've just tested my SDHC card in Kubuntu 8.10 Ibex Alpha 5 and the kernel log errored out with a bunch of I/O errors very similar to those in the first post. This bug is still present in Alpha 5! I'm guessing this has something to do with the partial/improper SDHC card support in the kernel itself.

Rocko (rockorequin) wrote :

It's still present in kernel 2.6.27-4. Worse still, nautilus doesn't tell you there was data loss - if you are moving files, you lose data.

I've noticed it happens more frequently if I run a VMWare or VirtualBox VM.

Rocko (rockorequin) wrote :

The bug is still present but now I can't use gparted to reformat the SD card - the mmcblk device doesn't show up in the output of "fdisk -l" any more, so gparted doesn't list its partitions. Has anyone else found this is happening?

Rocko (rockorequin) wrote :

The bug is still present in kernel 2.6.27-5-generic amd64 (and I still can't fdisk -l the mmcblk device).

Rocko (rockorequin) wrote :

Still present in 2.6.27-6-generic amd64. It's easily reproducible when I run a VM in VirtualBox 2.0.2 and then try to copy a large file to the card from nautilus.

Rocko (rockorequin) wrote :

The latest 2.6.27-7-generic (i386 now, in case that makes a difference) kernel works better. I still get the error occurring but far less frequently, even with a VM running, and when it does occur the system recovers more quickly (it also seems to be buffering much less, which might explain the faster recovery).

Just tried the 8.10rc liveCD on my eeepc 701 and it also exhibits problems with SDHC.

The internal reader can't read my 8GB Veho SDHC card and dmesg shows "Buffer I/O write error on device sdb1". If i try to mount /dev/sdb1 I get an error that the device does not exist. The card reader works fine with a 256MB SD card.

Sara (sfauzia) wrote :

My only problem is that I can't copy system files (like make backups of source files I've downloaded/modified). If I do, the data that copies to the SD card is corrupted, while the data on the computer remains intact. Then Nautilus (sudo) won't allow me to delete the files, and I have to go into Vista to delete them (which works successfully). The only files I can save to my SD card are "normal" files, like PDFs and Open Office documents.

Is this related to this problem? I'm using a 16 GB SDHC with Intrepid (kernel 2.6.27-7-generic), and I was getting i/o errors with saving *anything* (to my SD card) if I didn't add tifm_sd to my /etc/modules. I'm running Ubuntu on an X61 Tablet, 64-bit.

Sara (sfauzia) wrote :

I can confirm that I had no problems (r/w) using the very same 16 GB SDHC with Hardy Heron on another tablet I own (Motion LE1700).

Sara (sfauzia) wrote :

Addendum: Hardy Heron, 8.04.1, 64-bit, on the LE1700 tablet

Ross (rmcannizzaro) wrote :

This issue still exists in the final release of Intrepid. Running on a 701 EeePC using a 16GB A-Data SDHC. This bug prevents me booting with the card inserted into the reader.

Rocko (rockorequin) wrote :

I've noticed that the write errors occur more frequently when the system is under load, eg while copying large amounts of data between USB drives, and when free memory is low.

The last time it happened, I was only running firefox and nautilus, so the available memory (almost 3.5 GB was taken) must have been mostly taken up by I/O buffering. I had to try ten times to write an 800 MB file to the SD card, and it was only successful once the USB drives had finished transferring data.

So does the kernel have timing, interrupt, or memory access problems that affect the mmcblock driver when USB usage is high and/or memory is running low?

Another observation that surprises me is that when I transfer large files between USB drives or to the SD card, the internal hard drive (ie the /dev/sda drive) is accessed a lot. With so much available RAM I wouldn't have though the file I/O system would need to resort to using /dev/sda.

Paul van Genderen (paulvg) wrote :

This bug is still present in 2.6.27-8-generic. Tested on an EeePC 701 with 8GB SanDisk SDHC.

Sitsofe Wheeler (sitsofe) wrote :

On my EeePC 900 (where the SD device actually appears on the USB bus) SD cards seem to be especially unreliable (a good way to provoke problems is to have an install on an SD card and to see how long it lasts before mysterious "holes" appear in the filesystem). I have had no end of problems with one of my cards in both the original Xandros distro as well as Ubuntu and Fedora. The problem definitely seems to be worse under load and certain filesystems (such as ext3) seem to be especially susceptible. Real USB flash devices used on the same EeePC do not exhibit this behaviour so I suspect the problem is somewhat mechanical....

Richard Hull (rm-hull) wrote :

I think it is more of a timing issue than mechanical per se - I'm running an own-build kernel (2.6.28-rc4) on top of intrepid on an acer aspire one, and was experiencing 'mmcblk0: error -110 transferring data' errors on a 16Gb SDHC card in the left hand slot.

The card was enabled for UDMA66 and hdparm -t /dev/mmcblk0 was reporting transfer rates in excess of 20Mb/sec, but it was unreliable.

I had a look at the kernel source, specifically file drivers/mmc/host/sdhci-pci.c, within function jmicron_probe: First thing it does is set up the quirks mode:

 if (chip->pdev->revision == 0) {
  chip->quirks |= SDHCI_QUIRK_32BIT_DMA_ADDR |
     SDHCI_QUIRK_32BIT_DMA_SIZE |
     SDHCI_QUIRK_32BIT_ADMA_SIZE |
     SDHCI_QUIRK_RESET_AFTER_REQUEST |
     SDHCI_QUIRK_BROKEN_SMALL_PIO |
     SDHCI_QUIRK_FORCE_HIGHSPEED;
 }

I've commented out the SDHCI_QUIRK_FORCE_HIGHSPEED and rebuild the kernel ... no more errors at all, but of course throughput is now only about 11Mb/sec. Much better to be stable than fast, IMHO.

Obviously this will only work for jmicron controllers ... I think that the bug is elsewhere, and all this does is mask the root cause of the problem (IIRC someone on the acer aspire one forum thought it was a timing / buffering / interrupt issue, but can't quote exactly).

R.

Rocko (rockorequin) wrote :

If it helps I've noticed that one way to reproduce it is to use Azureus to download a torrent (eg an Ubuntu CD) and then copy a large file to the SD card. While it's doing this I get heaps of mmcblk errors and subsequent data loss. When I stop Azureus so the system is no longer under load and try copying to SD again the errors (usually) go away.

Richard Hull (rm-hull) wrote :

Regarding -110 error, looking at include/asm-generic/errno.h, 110 is ETIMEDOUT, which kinda makes sense - this error only seems to occur if the SD card is under load.

I had a look at drivers/mmc/core/core.c, in method mmc_set_data_timeout (which is called directly before the 'mmcblk0: error -110 transferring data' error is displayed in drivers/mmc/block.c) sets the limit as the code below shows:

 /*
  * SD cards also have an upper limit on the timeout.
  */
 if (mmc_card_sd(card)) {
  unsigned int timeout_us, limit_us;

  timeout_us = data->timeout_ns / 1000;
  timeout_us += data->timeout_clks * 1000 /
   (card->host->ios.clock / 1000);

  if (data->flags & MMC_DATA_WRITE)
   /*
    * The limit is really 250 ms, but that is
    * insufficient for some crappy cards.
    */
   limit_us = 350000;
  else
   limit_us = 100000;

  /*
   * SDHC cards always use these fixed values.
   */
  if (timeout_us > limit_us || mmc_card_blockaddr(card)) {
   data->timeout_ns = limit_us * 1000;
   data->timeout_clks = 0;
  }
 }

The timeout seems to occur on writes only, so I upped limit_us = 350000; to limit_us = 500000; and reverted out the change I'd made to sdhci-pci.c (see my previous post) and rebuilt the kernel...

Haven't experienced any -110 errors today and this machine has been building kernels all day, so it seems like extending the timeout limit from 350ms to 500ms may well have helped...

I don't know if the implication is that my SDHC card is extra-crappy if it needs a timeout limit of 500ms :-/

pls remember I'm on intrepid & 2.6.28-rc5 now, but same should apply to hardy & 2.6.27

Rocko (rockorequin) wrote :

@Richard: I can confirm that increasing the timeout to 500 ms from the default 250 ms in Intrepid's 2.6.27-8-generic (amd64) kernel works much better.

As a test, I copied 1.5 GB to my 2 GB card while simultaneously running two VirtualBox VMs (for at least some of the time, one was booting up, the other was performing a build), copying 6 GB from one USB drive to another, performing a "grep -r 2.6.27-8 *" in the /usr/src/linux-2.6.27 folder, and running a 3D game under wine. Normally just one of these would be enough to cause great distress to the mmc_blk driver.

It took quite a long time to complete the copy, but no errors were reported and a diff showed no differences.

I guess they're already trying increasing the write timeout since your 2.6.28 kernel is using 350 ms instead of 250 ms. I checked the source for kernel 2.6.24 and it uses 250 ms, just like 2.6.27. But since 2.6.27 is much more reliable for me than 2.6.24 (it's only when the system is under load that it falls over, whereas 2.6.24 would fall over most of the time), I guess something else improved and the higher timeout is more of a workaround than a fix.

But, hey, I'm all for workarounds that let me use my SD card without data loss! I hope they include it in the 2.6.27-9 kernel because rebuilding the kernel is a bit of a hassle.

It's still a worry that the Ubuntu file system doesn't tell you when these timeout errors occur, because it means that Ubuntu can cause data loss, and reliable data transfer is surely a core function of any OS. Even with a timeout of 500 ms I imagine it will still be possible for the timeout error to occur.

Rocko (rockorequin) wrote :

Kernel 2.6.27-10-generic seems to have improved reliability for me - I copied about 1GB to the SD card while running update-manager, a VM in VirtualBox, copying files across USB, with free memory under 22 MB, and didn't encounter any errors.

From http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=commit;h=ee2ed9d8d3819bde1c82d55bd398eddae15d2fd5, it looks like the -9 kernel (and therefore the -10 kernel) increases the timeout to 300 ms instead of 250 ms.

But since Richard still had issues with a 350 ms timeout, maybe there are some other improvements affecting mmc included in 2.6.27-10 as well? My 1GB copy seemed to complete much faster than in my previous test with the modified -8 kernel with timeout increased to 500 ms.

Nils S. (nils-schroeder) wrote :

I have a Samsung x20 notebook with lspci | grep Ricoh:

03:09.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:09.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:09.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 17)
03:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 08)

I got a lot of I/O -110 errors with Hardy and after an update with Intrepid. It was impossible to access my 512MB SD Card.

But Richard Hulls way worked for me.
I have build a 2.6.27.2 with limit_us = 500000;

No errors left. Thank you ...

Rocko (rockorequin) wrote :

2.6.27-10 is still rock solid for me, at least with respect to write errors. I've had no errors in the last four days, although if I'm running other things like VirtualBox, it can take an unbelievably long time to finish a copy (it just took 30 minutes to copy about 1 GB).

The very slow copy makes me think that it's not so much a case of crappy SD cards as crappy drivers. But the latest kernel is definitely a big improvement in that I'd rather have it take longer than lose data and not tell me about it.

Now we just have to fix the kernel so "fdisk -l" and hence gparted recognise the SD partition again so I can format the damn thing... (that's a regression from Hardy).

description: updated

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Nick Burch (nick-torchbox) wrote :

I'm using linux-image-2.6.27-4-lpia, which is the latest lpia kernel in intrepid

I have the same write issues with my integrated JMicron SDHC adapter in my dell mini, which seems to use the sdhci_pci driver
02:00.0 System peripheral: JMicron Technologies, Inc. SD/MMC Host Controller
02:00.2 SD Host controller: JMicron Technologies, Inc. Standard SD Host Controller

Whenever I try big writes, or a fsck, I too get lots of errors like:
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 12288
Buffer I/O error on device mmcblk0p1, logical block 512

I also have the same issue with the hardy lpia kernels (2.6. 24-19-lpia and 2.6.24-22-lpia). Hopefully lpia will get a newer kernel soon with the increased timeout fix, will try to report back when one is out

nozhx (nozhbass) wrote :

this error still present in kernel 2.6.27.9 generic in ubuntu 8.10 with a SD Kingston 1GB in a Laptop Dell inspiron 6000

Rocko (rockorequin) wrote :

I guess the fix is only in the proposed repository. 2.6.27-9 is in the main repository, whereas 2.6.27-10 and -11 are in the proposed repository.

I haven't seen the problem in either -10 or -11, which I've been using since Nov 26th, whereas it occurred frequently in earlier versions.

For anyone else interested in testing the kernel in intrepid-proposed, refer to https://wiki.ubuntu.com/Testing/EnableProposed . Please let us know your results. Thanks.

Cpp (xcpp) wrote :

15. Feb 2009
Using the latest kernel from repo - 2.6.27-11-generic
Upon inserting the 4GB SDHC card, (although the card gets mounted) dmesg still shows I/O errors.
I didn't bother testing it any further.

[ 2702.737466] mmc0: new high speed SDHC card at address 0002
[ 2702.799657] mmcblk0: mmc0:0002 SD 3948544KiB
[ 2702.799765] mmcblk0: p1
[ 2702.954748] mmcblk0: error -110 transferring data
[ 2702.954767] end_request: I/O error, dev mmcblk0, sector 7897024
[ 2702.954779] Buffer I/O error on device mmcblk0, logical block 987128
[ 2703.084883] mmcblk0: error -110 transferring data
[ 2703.084900] end_request: I/O error, dev mmcblk0, sector 7897024
[ 2703.084911] Buffer I/O error on device mmcblk0, logical block 987128
[ 2703.215208] mmcblk0: error -110 transferring data
[ 2703.215227] end_request: I/O error, dev mmcblk0, sector 96
[ 2703.215238] Buffer I/O error on device mmcblk0, logical block 12
[ 2703.345403] mmcblk0: error -110 transferring data
[ 2703.345421] end_request: I/O error, dev mmcblk0, sector 104
etc..

Inserting a 2GB SD card works fine.

[ 2878.832285] mmc0: card 0002 removed
[ 2897.173584] mmc0: new high speed SD card at address 0002
[ 2897.176833] mmcblk0: mmc0:0002 SD 1993728KiB
[ 2897.176932] mmcblk0: p1

Matthias Blümel (blaimi) wrote :

Lenovo X60 tablet

$: lspci | grep Ricoh
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b4)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 09)
15:00.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 18)

jaunty-jackalope (2.6.28-8-generic): works!
intrepid-ibex (2.6.27-3-rt): error
intrepid-ibex (2.6.27-8-generic): error

but my 4GB-Card (I think this is a SDHC, too) works on all systems

Rocko (rockorequin) wrote :

@Blaimi: yes, you need 2.6.27-10 or above for the fix. I think Intrepid's up to 2.6.27-12 now.

DiVoRaM (m-fabbrini) wrote :

Am using Linux m 2.6.28-11-generic #40-Ubuntu SMP Fri Apr 3 17:39:41 UTC 2009 x86_64 GNU/Linux on a HP-DV5 with a Jmicron SD controller (0a:00.1 System peripheral: JMicron Technologies, Inc. SD/MMC Host Controller).
Everything worked fine till 8.10...but now i can read only normal SD and not > 1GB.

dmesg|grep sdhc

[ 18.742743] sdhci: Secure Digital Host Controller Interface driver
[ 18.742751] sdhci: Copyright(c) Pierre Ossman
[ 18.744546] sdhci-pci 0000:0a:00.1: SDHCI controller found [197b:2382] (rev 0)
[ 18.744591] sdhci-pci 0000:0a:00.1: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 18.744791] sdhci-pci 0000:0a:00.1: setting latency timer to 64
[ 18.744980] sdhci-pci 0000:0a:00.2: SDHCI controller found [197b:2381] (rev 0)
[ 18.745006] sdhci-pci 0000:0a:00.2: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 18.745021] sdhci-pci 0000:0a:00.2: Refusing to bind to secondary interface.
[ 18.745034] sdhci-pci 0000:0a:00.2: PCI INT A disabled
....
[ 18.744959] mmc0: SDHCI controller on PCI [0000:0a:00.1] using DMA
....
[ 19.135820] mmc0: error -84 whilst initialising SD card <-- This is what I get if I put a SDHC card > 1GB

By the way, if you let the reader empty, the reader won't be recognized by linux...

What the hell is the -84 for?

Sitsofe Wheeler (sitsofe) wrote :

(Please subscribe yourself to bugs if you are asking questions and want to see the reply)

DiVoRaM:
The -84 hell is for because Linux kernel syscalls typically return negative numbers on errors: http://www.win.tue.nl/~aeb/linux/lk/lk-4.html.

Can you reproduce this problem with a Jaunty liveCD?

Download full text (7.1 KiB)

Thank You very much indeed for the prompt answer!
Am checking now the syscall...
In all cases, am nearly there...for the moment the only things not working
on Ubuntu amd64 is the SD reader and *sometimes* the ath5k module for the
wireless...

Cheers!

On Wed, Apr 8, 2009 at 12:23 PM, Sitsofe Wheeler <email address hidden> wrote:

> (Please subscribe yourself to bugs if you are asking questions and want
> to see the reply)
>
> DiVoRaM:
> The -84 hell is for because Linux kernel syscalls typically return negative
> numbers on errors: http://www.win.tue.nl/~aeb/linux/lk/lk-4.html<http://www.win.tue.nl/%7Eaeb/linux/lk/lk-4.html>
> .
>
> Can you reproduce this problem with a Jaunty liveCD?
>
> --
> Ricoh R5C822 SDHC Card reader I/O errors
> https://bugs.launchpad.net/bugs/247819
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Triaged
>
> Bug description:
> (replies indicate that this problem wasn't specific to SDHC, more like
> specific to this Ricoh reader. updating description and tags... Also,
> 2.6.27-10 maybe have solved it.)
>
> Greetings.
>
> I've recently bought a 4GB SDHC memory card from Adata (class 6) to try it
> out on my Acer Aspire 5920G laptop, running Ubuntu Hardy and Windows XP. It
> has one of those 5-in-1 card readers (SD™, MMC, MS, MS PRO, xD) that you get
> to see in a number of Acer laptops today. Unfortunately I wasn't able to
> make use of the card because a the system threw a briefcase full of errors
> back at me. I found out that just by inserting the card into the card slot
> already generates a bunch of errors as seen by dmesg:
>
> [ 495.406662] mmc0: new high speed SDHC card at address 0002
> [ 495.437069] mmcblk0: mmc0:0002 SD 3948544KiB
> [ 495.437129] mmcblk0: p1
> [ 495.486638] mmcblk0: error -110 transferring data
> [ 495.486653] end_request: I/O error, dev mmcblk0, sector 32
> [ 495.486661] Buffer I/O error on device mmcblk0, logical block 4
> [ 495.486672] end_request: I/O error, dev mmcblk0, sector 40
> [ 495.486677] Buffer I/O error on device mmcblk0, logical block 5
> [ 495.486685] end_request: I/O error, dev mmcblk0, sector 48
> [ 495.486690] Buffer I/O error on device mmcblk0, logical block 6
> [ 495.486697] end_request: I/O error, dev mmcblk0, sector 56
> [ 495.486702] Buffer I/O error on device mmcblk0, logical block 7
> [ 495.486709] end_request: I/O error, dev mmcblk0, sector 64
> [ 495.486714] Buffer I/O error on device mmcblk0, logical block 8
> [ 495.486721] end_request: I/O error, dev mmcblk0, sector 72
> [ 495.486726] Buffer I/O error on device mmcblk0, logical block 9
> [ 495.486734] end_request: I/O error, dev mmcblk0, sector 80
> [ 495.486739] Buffer I/O error on device mmcblk0, logical block 10
> [ 495.486746] end_request: I/O error, dev mmcblk0, sector 88
> [ 495.486751] Buffer I/O error on device mmcblk0, logical block 11
> [ 495.500565] mmcblk0: error -110 transferring data
> [ 495.500577] end_request: I/O error, dev mmcblk0, sector 7897024
> [ 495.500585] Buffer I/O error on device mmcblk0, logical block 987128
> [ 495.520101] mmcblk0: error -110 transferring data
> [ 495.5201...

Read more...

Cpp (xcpp) wrote :

Okay, this is slowly getting tiresome. I am on Ubuntu Jaunty (2.6.28-11-generic) now, using a full HDD reinstall, and the problems persist. The SDHC card does get mounted this time, but dmesg still complains loudly:

[ 3463.138639] mmc0: new high speed SDHC card at address 0002
[ 3463.182196] mmcblk0: mmc0:0002 SD 3.76 GiB
[ 3463.182290] mmcblk0: p1
[ 3463.347815] mmcblk0: error -110 transferring data
[ 3463.347826] end_request: I/O error, dev mmcblk0, sector 32
[ 3463.347835] Buffer I/O error on device mmcblk0, logical block 4
[ 3463.347848] end_request: I/O error, dev mmcblk0, sector 40
[ 3463.347853] Buffer I/O error on device mmcblk0, logical block 5
[ 3463.347860] end_request: I/O error, dev mmcblk0, sector 48
[ 3463.347865] Buffer I/O error on device mmcblk0, logical block 6
Bla bla bla...

I must admit that the only SDHC card I've tested so far was the one I've had from the beginning. It has always worked on windows so I assumed it does not have any defects. Since I hear that some people reporting the errors gone, I'm going to purchase a second SDHC card in the near future and have it tested to eliminate the possibility of my first one being defective.

Noel J. Bergman (noeljb) wrote :

> I must admit that the only SDHC card I've tested so far was the one I've had from the beginning.

I use SDHC cards all the time, and do not reproduce this problem. I did at one point in the past, but it turned out to be a defective SDHC that was replaced under warranty. So you might well have a flaky card. I own three Transcend 16GB and one TOPRAM 32GB cards. I don't recommend the latter, but I do highly recommend the former.

Simon Holm (odie-cs) wrote :

Richard Hull,

you should work this out together with Pierre Ossman and the rest of the mmc and sdhci developers. You already know how to compile your own kernel so I don't think there should be any problems. I'd suggest you start by checking out the lastest upstream kernel from git and try that. (The reason I'm not simply suggesting trying Ubuntu's latest binary vanilla-git build is that you'll end up compiling from source no matter how we slice it so you might as well start doing it).

When you've done that you should write about your findings to <email address hidden>. Also cc <email address hidden>, <email address hidden> and me as well. In general, if you need assistance of any kind I'd be glad to help you out.

@Cpp: I don't think your card is completely faulty, since there is no problems using it from Windows. It is possible that Windows run the card at a slower speed and avoids the problems that way, but whether it's a problem with your card, the reader or Linux drivers is the good question I guess. I hope Richard will pick this up, there's a fair chance that a solution for his hardware will help everyone.

@DiVoRaM: Since you have different hardware and it is a regression (i.e. it worked with an earlier release but doesn't now) you should open a separate bug for your problem. That is after you've searched for duplicate bugs for your hardware of course.

Richard Hull (rm-hull) wrote :

Well, I am on a custom 2.6.30-rc6 kernel with Jaunty now, and I must admit that I have not kept up-to-date on this particular issue, but i have been using the sdhc card reliably as /home since my last post in November 2008 (no -110 errors since). I generally rebuild from the incremental patches as soon as they come out of kernel.org, so I will check the mmc code later on this evening to see if the fix is still there or was reverted.

Cpp (xcpp) wrote :

Update: I've recently purchased a brand new 4GB micro SDHC card (with adapter) and tried it out on my Ricoh reader. I'm surprised to report that there have been absolutely no errors with this card so far. Upon insertion, the card automounts and I was able to copy over a 32MB file.

[ 251.746291] mmc0: new high speed SDHC card at address 0002
[ 251.787700] mmcblk0: mmc0:0002 00000 3.83 GiB
[ 251.787793] mmcblk0: p1
[ 302.580317] mmc0: card 0002 removed

Reinserting the previous card is the same old story. It seems the old SDHC card does indeed differ in *something*, but whether that is a defect or some driver parameter I cannot tell. I do however find it strange that it still works on XP or maybe XP isn't telling me something. I'll do some further experiments, and if I get any more trouble, you're sure to hear from me again.

Michał J. Gajda (mgajda) wrote :

Same error - cannot read high speed SD card on X41 with Jaunty:

[70503.326476] mmc0: new SD card at address c2eb
[70503.359930] mmcblk0: mmc0:c2eb SD256 241 MiB
[70503.361291] mmcblk0:<3>mmcblk0: error -84 transferring data
[70503.367515] end_request: I/O error, dev mmcblk0, sector 0
[70503.367528] Buffer I/O error on device mmcblk0, logical block 0
[70503.370507] mmc0: Got data interrupt 0x00200000 even though no data operation was in progress.
[70503.370515] sdhci: ============== REGISTER DUMP ==============
[70503.370524] sdhci: Sys addr: 0x00000000 | Version: 0x00000200
[70503.370533] sdhci: Blk size: 0x00007200 | Blk cnt: 0x00000006
[70503.370542] sdhci: Argument: 0x00000000 | Trn mode: 0x00000032
[70503.370550] sdhci: Present: 0x01ff0000 | Host ctl: 0x00000002
[70503.370559] sdhci: Power: 0x0000000f | Blk gap: 0x00000000
[70503.370567] sdhci: Wake-up: 0x00000000 | Clock: 0x00000107
[70503.370576] sdhci: Timeout: 0x00000009 | Int stat: 0x00000003
[70503.370584] sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
[70503.370593] sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
[70503.370601] sdhci: Caps: 0x018021a1 | Max curr: 0x00000040
[70503.370607] sdhci: ===========================================
[70503.378214] mmcblk0: error -84 transferring data
[70503.378224] end_request: I/O error, dev mmcblk0, sector 0
[70503.378233] Buffer I/O error on device mmcblk0, logical block 0
[70503.386435] mmcblk0: error -84 transferring data

Nico Zanferrari (nicozanf) wrote :

Hi, I have the same problem with 9.04 (Jaunty 64 bit = 2.6.28-11) on a Dell XPS M1330, with the internal Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22).
The same SD cards work perfectly on an external USB reader. I didn't have any problem on Intrepid 32 bit.

Following a similar bug (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/323159) I've found a simple workaround - add the line:

blacklist sdhci

to /etc/modprobe.d/blacklist.conf

Hope this helps ;-))

Nico Zanferrari (nicozanf) wrote :

I'm sorry, but I'm not able to reproduce the problem again. So, my workaround could be totally unrelated to the problem.

But I do confirm that I had the problem, with at least a couple of SD cards. They didn't show at all in the desktop, and dmesg errors are the same as reported here. The cards were not defective, as they could be correctly mounted with an additiona USB externa adapter.

Cpp (xcpp) wrote :

UPDATE: Having the two SDHC cards tested on my Acer laptop I've concluded that first one still causes a lot of I/O errors while the newer one appears to work fine. This is strange since both cards are from A-Data, and results suggest that one of them is defective. Recently I tested both cards on another laptop. It was my dad's HP Compaq 6720s. I booted the Jaunty from the live CD and gave both SDHC cards a go. Surprisingly, both of them worked fine and no errors were reported by dmesg.

giosimar (giuseppe-savo) wrote :

I have the same problem with a dell inspiron 1501.

it can't read neither SD neither SDHC

skenthome (skenthome) wrote :

If its any help I had the same problem with my SDHC cards 4gb+ and I solved it by putting them in a USB memory card reader / carrier of some sort. For example my Mobile internet dongle has a slot. You can also buy them on ebay or in maybe computer stores for very little money. The use of them via the USB seems to work on all cards tested so far. Not elegant but works.

Using Jaunty Ubuntu.

komputes (komputes) wrote :

This issue is also mentioned in Bug #202490

Bing@Chi (bwang) wrote :

Still broken in Jaunty. The behavior in Dell Latitude E6400 is a bit different though. It reads SDHC 16GB just fine (a Transcend card) when it's formatted with FAT32. I copied and used about 2.4 GB of files and ran into no issue. However when I tried to mkfs.ext2 on it, the familiar I/O errors started to pop up. Once that happens, nothing can be done to it. I'd have to reformat under Windows! Then it works again. Weird.

Maxim Levitsky (maximlevitsky) wrote :

Can anyone test 2.6.35 kernel from 10.10 to confirm that you still have that issue?

It was found that this controller supports DMA but doesn't tell the linux that it does. Therefore linux would revert to using slow PIO mode (cpu runs in a loop and read data byte after byte).
I think this causes timeouts, and one of you even noticed that increasing timeout helps.

Btw, it contains a driver to read xD cards as well (mine :-))
I hope I will eventually write the MemoryStick driver as well.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Eric Hennessey (erichennessey) wrote :

Just ran into this issue with a 4GB SDHC card with Ubuntu 10.04 (2.6.32-22)...I see this bug has been around for quite some time.

Simply inserting the 4GB card generates a slew of errors in dmesg. A 2GB (regular SD) card does not.

I'll be happy to provide any information required.

Changed in linux (Ubuntu):
status: Expired → New
Maxim Levitsky (maximlevitsky) wrote :

First of all I need lspci and dmesg output after you inserted the faulty card.

Then please compile my backported version of sdhci driver from 2.6.35-rc2
http://launchpadlibrarian.net/50155938/mmc_sd.tar.bz2

I published it at:
https://bugs.launchpad.net/debian/+source/linux/+bug/202490?comments=all

Eric Hennessey (erichennessey) wrote :

Oh, boy...my apologies. Got my laptops mixed up. I was having the problem on a laptop with a Texas Instruments SD host controller. Not Ricoh, and not even SDHC. Other laptop is Ricoh/SDHC and seems to be working fine.

ID-10-T error.

Brad Figg (brad-figg) on 2010-07-13
tags: added: kj-triage
giosimar (giuseppe-savo) wrote :

sd cards cannot be bigger than 2GB.
Others are SDHC cards, that are unreadable in sd card readers.

Odin Hørthe Omdal (velmont) wrote :

I'm getting a similar looking error. This is a SDHC 8GB card, I've used it many times with my computer before. This is on Ubuntu 10.10.

Attached dmesg output. It also shows the register dump and these lines:

[ 3400.224841] mmcblk0: error -84 transferring data, sector 7, nr 1, card status 0x900
[ 3400.224845] end_request: I/O error, dev mmcblk0, sector 7
[ 3400.227348] mmc0: Got data interrupt 0x00200000 even though no data operation was in progress.

This is my SD-controller on ThinkPad X60s:

SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 18)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed

This problem still occurs under oneiric.

In fact, it occurs with a 2GB card…

Cpp, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: kernel-media needs-upstream-testing
removed: acer aspire card reader sd sdhc
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

Same problem with "SD Host controller: Ricoh Co Ltd MMC/SD Host Controller (rev 03)" on a Dell Precision M4500 running Linux Mint 13, kernel 3.2.0-31-generic. I can format a 32-GB SD card but I get silent writing errors when I copy files to the card. I can only see the errors in /var/log/kern.log. I have no problems with the same card when I use an external USB card reader.

Pitermann, Michel, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

I tried many times with most options the commands "ubuntu-bug linux" or "apport-bug linux" or with "linux-generic" or "linux-image-3.2.0-31-generic" which are installed packages, but the command always aborts saying:

  The problem cannot be reported:

  This is not an official LinuxMint package. Please remove any third party package and try again.

  Press any key to continue...

  No pending crash reports. Try --help for more information.

Using "--save" option did not help. It seems a Linux Mint bug (https://bugs.launchpad.net/linuxmint/+bug/1014786). I clicked the "affects me" button of the bug 1014786. Should I try with a Ubuntu 12.04 Live version?

Pitermann, Michel, regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/247819/comments/73 :
>"I tried many times with most options the commands "ubuntu-bug linux" or "apport-bug linux" or with "linux-generic" or "linux-image-3.2.0-31-generic" which are installed packages, but the command always aborts saying:
  The problem cannot be reported:
  This is not an official LinuxMint package. Please remove any third party package and try again.
  Press any key to continue...
  No pending crash reports. Try --help for more information.
Using "--save" option did not help. It seems a Linux Mint bug (https://bugs.launchpad.net/linuxmint/+bug/1014786). I clicked the "affects me" button of the bug 1014786."

You cannot report a Ubuntu bug in LInuxMint because LinuxMint is not Ubuntu, and Ubuntu does not support LinuxMint.

>"Should I try with a Ubuntu 12.04 Live version?"

If you want the Ubuntu project to support a problem reproducible in Precise, you are welcome to follow the directions previously requested of you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/247819/comments/72 .

I am having the same issue in Ubuntu 12.04.1, but only with the faster SD cards?!

My tests are based on these two SDHC cards:
Verbatim SDHC 4GB class 4 - no errors
Verbatim SDHC 32GB class 10 - I/O errors during normal transfer speeds

Interestingly, I can write to the 32GB without errors, if only I do it "slowly", i.e.
$ dd if=file.img of=/dev/mmcblk0 bs=1
No errors, but also very slow transfer speed due to block size being only 1 byte.

This command will transfer data a lot faster, but produce a lot of I/O errors and eventually stall before completion:
$ dd if=file.img of=/dev/mmcblk0 bs=1M

Details on the internal SD card reader (lspci):
0d:00.0 System peripheral: Ricoh Co Ltd Device e823 (rev 07)

If only there was a more generic way of reducing the speed, thus preventing the I/O errors, I could use the reader normally.
I will see if I can get to post some more accurate details and log outputs later.

Helge, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Issue still valid on precise on Thinkpad W500.

15:00.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 21)

Shevek, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers